Skip to main content
GET
query posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

targetId
string

ID of the target.

Maximum string length: 900
targetType
enum<string>
required

Type of the target.

  • community - Community
  • user - User
  • content - Content
Available options:
community,
user,
content
sortBy
enum<string>
default:lastCreated

Sort order for posts.

Available options:
lastCreated,
firstCreated,
lastUpdated,
firstUpdated
hasFlag
boolean

Filter by flag status

isDeleted
boolean

Filter by deleted status

options
object
feedType
enum<string>

Feed type to filter

Available options:
reviewing,
published,
declined
Example:

"published"

dataTypes
enum<string>[]

Child post data type to filter. Only applied if the option matchingOnlyParentPost is false

Required array length: 1 - 5 elements
Available options:
video,
image,
file,
liveStream,
poll
Maximum string length: 100
tags
string[]

tags

Maximum array length: 5
matchingOnlyParentPost
boolean
default:true

An option to filter only parent post. If true will return only parent post, else will return both parent and child posts

includeMixedStructure
boolean
default:false

An option to include mixed structure posts (posts that have different data types in parent and child posts)

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
paging
object